> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List project templates (v2)

> Lists project templates. Replaces the v1 `tagName` query parameter with `tagIds`, which accepts taxonomy tag IDs instead of legacy tag names.




## OpenAPI

````yaml /api-specs/6.3/public-api.json get /api/develop/v2/project-templates
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/develop/v2/project-templates:
    get:
      tags:
        - Project templates
      summary: List project templates (v2)
      description: >
        Lists project templates. Replaces the v1 `tagName` query parameter with
        `tagIds`, which accepts taxonomy tag IDs instead of legacy tag names.
      operationId: getProjectTemplatesCollectionV2
      parameters:
        - description: >-
            The page number of the collection to return. If not provided, the
            first page will be returned.
          in: query
          name: page
          required: false
          schema:
            default: 1
            minimum: 1
            type: integer
        - description: >-
            The number of items to return per page. If not provided, 10 items
            will be returned per page.
          in: query
          name: size
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: integer
        - description: >
            The view to filter on. To retrieve your own templates, pass your
            user ID as a string.

            To retrieve templates shared with you, pass in "shared".

            To retrieve company official templates, pass in "official".

            If you have Domino AI Hub templates enabled, you can also pass in
            "ecosystem" to retrieve those.
          in: query
          name: view
          required: false
          schema:
            type: string
        - description: The category to filter on. Applies only to ecosystem templates.
          in: query
          name: category
          required: false
          schema:
            type: string
        - description: >-
            The owner to filter on. Supply user ID for custom templates and
            owner name for ecosystem templates.
          in: query
          name: owner
          required: false
          schema:
            type: string
        - in: query
          name: isCompanyOfficial
          required: false
          schema:
            description: To filter on company official templates.
            type: boolean
        - description: The field to sort the collection by (in the given order).
          in: query
          name: orderBy
          required: false
          schema:
            default: updated
            enum:
              - updated
              - name
              - recommended
            type: string
        - description: >-
            The direction to sort the collection by. The direction is 'desc' by
            default in all cases.
          in: query
          name: sortOrder
          required: false
          schema:
            default: desc
            enum:
              - asc
              - desc
            type: string
        - description: The search query to match on a template's name or description.
          in: query
          name: q
          required: false
          schema:
            default: ''
            type: string
        - description: Filter customer templates by taxonomy tag IDs.
          explode: false
          in: query
          name: tagIds
          required: false
          schema:
            items:
              type: string
            type: array
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedBaseTemplatesCollectionV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    PaginatedBaseTemplatesCollectionV1:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProjectTemplate'
          type: array
        paginationDetails:
          $ref: '#/components/schemas/PaginationFilterV1'
        totalCount:
          type: integer
      required:
        - items
        - paginationDetails
        - totalCount
      type: object
    ProjectTemplate:
      properties:
        access:
          $ref: '#/components/schemas/ProjectTemplateAccess'
        base64Logo:
          type: string
        categories:
          items:
            type: string
          type: array
        created:
          format: date-time
          type: string
        description:
          type: string
        id:
          type: string
        isCompanyOfficial:
          description: Whether or not this template is marked as official
          type: boolean
        license:
          type: string
        name:
          type: string
        owner:
          $ref: '#/components/schemas/ProjectTemplateOwner'
        recommended:
          type: boolean
        revisionId:
          type: string
        taxonomyTags:
          description: Taxonomy tags associated with this template.
          items:
            $ref: '#/components/schemas/TaxonomyTag'
          type: array
        templateType:
          enum:
            - customer
            - ecosystem
          type: string
        updated:
          format: date-time
          type: string
      required:
        - templateType
        - id
        - name
        - created
        - updated
        - categories
        - owner
        - access
      type: object
    PaginationFilterV1:
      properties:
        pageNumber:
          type: integer
        pageSize:
          type: integer
        sortOrder:
          type: string
      required:
        - pageSize
        - pageNumber
        - sortOrder
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    ProjectTemplateAccess:
      properties:
        collaborators:
          items:
            $ref: '#/components/schemas/ProjectTemplateCollaborator'
          type: array
        visibility:
          enum:
            - private
            - all_non_anonymous_users
          type: string
      required:
        - visibility
        - collaborators
      type: object
    ProjectTemplateOwner:
      properties:
        link:
          type: string
        name:
          type: string
      required:
        - name
      type: object
    TaxonomyTag:
      properties:
        description:
          type: string
        fullPath:
          description: >-
            Ancestor labels from root to direct parent. Empty for root-level
            tags.
          items:
            type: string
          type: array
        id:
          type: string
        label:
          type: string
        namespaceId:
          type: string
        namespaceLabel:
          type: string
      required:
        - id
        - label
        - namespaceId
      type: object
    ProjectTemplateCollaborator:
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{24}$
        role:
          enum:
            - template_user
          type: string
      required:
        - id
        - role
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [List project templates](/6.3/api-reference/project-templates/list-project-templates.md)
- [Update a customer project template](/6.3/api-reference/project-templates/update-a-customer-project-template.md)
- [List evidence template paginated](/6.3/api-reference/governance-evidence-and-results/list-evidence-template-paginated.md)
- [Create project template](/6.3/api-reference/project-templates/create-project-template.md)
